#ifndef _API_CAPTURE_H
#define _API_CAPTURE_H


enum {
    PIN_NULL,
    PIN_HIGH,
    PIN_LOW,
    PIN_TOTAL,
};


typedef struct {
    
  //   volatile uint8_t  Statu;
    
     volatile uint32_t  Time;
  
     volatile uint32_t  TimeL;
     
     volatile uint8_t Flag;

     volatile uint32_t Count;

     volatile uint32_t Value;

     
}FREQUENCE;  

extern FREQUENCE Frequeice; 
extern FREQUENCE BackLight;

extern void ICU_IO_Initialize(void);
//extern void Frequency_Task(FREQUENCE *Argument);

extern void WheelSpeedSensor0(uint8_t channel);
extern void WheelSpeedSensor1(uint8_t channel);
extern void WheelSpeedSensor2(uint8_t channel);


#endif